//hellfire man

void main( void )
{
 preload_seq(381);
 preload_seq(383);
 preload_seq(385);
 preload_seq(387);
 preload_seq(389);
 sp_base_walk(&current_sprite, 380);
 sp_hitpoints(&current_sprite, 50);
 sp_brain(&current_sprite, 16);
 sp_speed(&current_sprite, 1);
 sp_timing(&current_sprite, 33);

}

void hit( void )
{
 say("`5我想我就要死了，为什么我不担心呢？",&current_sprite);

}

void talk( void )
{

int &mcrap = count_magic("item-sfb");

 freeze(1);
 freeze(&current_sprite);


if (&mcrap > 0)
  {

  say_stop("`0哎，先生，我已经没东西可卖了。", &current_sprite);
  wait(400);
  say_stop("再卖些东西给我啦！", 1);
  wait(400);
  say_stop("`0不行。", &current_sprite);
  wait(400);
  say_stop("你在这个山洞里到底在干什么呢？",1);
  wait(400);
  say_stop("`0其实我在等你 <3 。", &current_sprite);
  wait(400);
  say_stop("你就没家庭吗？", 1);
  wait(400);
  say_stop("`0没有。", &current_sprite);
  wait(400);
  say_stop("没家吗？", 1);
  wait(400);
  say_stop("`0也没有。", &current_sprite);
  wait(400);
  say_stop("你的生活在我看来一点都没意义。", 1);
  wait(400);
  say_stop("`0生命并不需要有意义。", &current_sprite);
  wait(400);
  say_stop("那我猜你什么都知道。", 1);
  wait(400);
  say_stop("`0非也，如果我什么都知道，我也不会想活着了。", &current_sprite);
  wait(400);
  say_stop("那我走了。", 1);
  unfreeze(1);
  unfreeze(&current_sprite);

  return;
  }

 choice_start();
        set_y 240
        set_title_color 0
        title_start();
"你好啊，朋友，给我 $1500 我可以教你hellfire(s6-vend.c)"
        title_end();
"学习 Hellfire"
"离开"
 choice_end();

  if (&result == 1)
    {
     if (&gold < 1500)
       {
        say("我没钱！", 1);
       }
       else
       {

int &junk = free_magic();


if (&junk < 1)
 {
         choice_start()
        set_y 240
        title_start();
你带得太多了。
        title_end();
         "明白"
         choice_end()
unfreeze(1);
unfreeze(&current_sprite);

 return;
 }


if (&junk < 1)
 {
         choice_start()
        set_y 240
        title_start();
你带得太多了。
        title_end();
         "明白"
         choice_end()
unfreeze(1);
unfreeze(&current_sprite);

 return;
 }


        say("`0* 学会了 HELLFIRE *", 1);
         playsound(43, 22050,0,0,0);
         &gold -= 1500;
 add_magic("item-sfb",437, 2);
       
       }
    }

unfreeze(1);
unfreeze(&current_sprite);


}
